<?php
    require_once "model_conexion.php";
    class Modelo_Horario extends ConexionDB{
        
        public function Registrar_Horario($ini,$fin,$bLu,$bMa,$bMi,$bJu,$bVi,$bSa,$bDo){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_REGISTRAR_HORARIO(?,?,?,?,?,?,?,?,?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$ini); 
            $query->bindParam(2,$fin); 
            $query->bindParam(3,$bLu); 
            $query->bindParam(4,$bMa); 
            $query->bindParam(5,$bMi); 
            $query->bindParam(6,$bJu); 
            $query->bindParam(7,$bVi); 
            $query->bindParam(8,$bSa); 
            $query->bindParam(9,$bDo); 
            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }

        public function Modificar_Horario($idh,$ini,$fin,$bLu,$bMa,$bMi,$bJu,$bVi,$bSa,$bDo){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_MODIFICAR_HORARIO(?,?,?,?,?,?,?,?,?,?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$idh); 
            $query->bindParam(2,$ini); 
            $query->bindParam(3,$fin); 
            $query->bindParam(4,$bLu); 
            $query->bindParam(5,$bMa); 
            $query->bindParam(6,$bMi); 
            $query->bindParam(7,$bJu); 
            $query->bindParam(8,$bVi); 
            $query->bindParam(9,$bSa); 
            $query->bindParam(10,$bDo); 
            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }

        public function Listar_Horario(){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_LISTAR_HORARIO()";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->execute();
            $resultado = $query->fetchAll(PDO::FETCH_ASSOC);
            foreach($resultado as $resp){
                $arreglo["data"][]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }
        public function Modificar_Horario_Estatus($id,$estatus){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_MODIFICAR_HORARIO_ESTATUS(?,?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$id); 
            $query->bindParam(2,$estatus); 
            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }

        public function Eliminar_Horario($id){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_ELIMINAR_HORARIO(?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$id); 

            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }
        

    }
?>